org.apache.felix.ipojo.composite.service.instantiator

## Class ServiceInstantiatorDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.composite.service.instantiator.ServiceInstantiatorDescription

    public class ServiceInstantiatorDescription
    extends HandlerDescription

Description of the Service Creator Handler.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ServiceInstantiatorDescription(CompositeHandler handler, java.util.List insts, java.util.List imps)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Build service instantiator handler description.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceInstantiatorDescription

    public ServiceInstantiatorDescription(CompositeHandler handler,
                                          java.util.List insts,
                                          java.util.List imps)

Constructor.

Parameters:
  `handler` - : composite handler
  `insts` - : list of service instances
  `imps` - : list of service importers

### Method Detail

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Build service instantiator handler description.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the handler description
See Also:
  `HandlerDescription.getHandlerInfo()`